Bug 33689 - Date format problem using the Dutch (NL) localization
Summary: Date format problem using the Dutch (NL) localization
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium trivial
Assignee: Laurent BP
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks: Number-Format Calc-Function User-Locale
  Show dependency treegraph
 
Reported: 2011-01-29 05:32 UTC by Marqeaux
Modified: 2018-03-15 05:44 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
example of wrong date-formatting (8.42 KB, application/vnd.oasis.opendocument.spreadsheet)
2011-02-26 03:25 UTC, Luuk
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marqeaux 2011-01-29 05:32:22 UTC
Hi there,

I discovered a small, but annoying problem in LibreOffice Calc. I installed LibreOffice on my WinXP machine at work. I was working on a large spreadsheet documents with a lot of dates in it. I saw, when I opened my Calc-document, that all dates in the spreadsheet where "crippled". For example:

The date should be this: 25-01-2011
The cell gives me: 25-01-JJJJ

The date string in the cell format says: "DD-MM-JJJJ". When I change that to "DD-MM-YYYY", it shows the date correct again. 

This happens to all date formats. The "JJJJ", is interpreted wrong in the Dutch version of LO.

I don't know if this happens in other localizations of LO, but it does in the Dutch version. 

Sorry for my English, but I hope I explained it well enough to make it understandible. ;-)

Thanks,
Marqeaux.
Comment 1 Jorendc 2011-01-29 09:56:42 UTC
Nederlandse vertaling onder de Engelse versie. (Dutch translation below English version :-))

English:
First of all, is it possible to reproduce it by yourself? Create a new spreadsheet in ... and open it with LibreOffice on that Windows system. Same result?
How can we reproduce this problem (step-by-step)
Is the spreadsheet created in LibreOffice? What's the extention (xls? xlsx?...).
Is it possible to attach a screenshot or the file (make a copy of the file first, delete irrelevant information (names/emails/phonenumber/...))?

I can't reproduce on Mac OS X; LibreOffice 3.3 Final; Dutch languagepack. (I've entered some dates in Office 2011 for mac; saved as .xlsx and .xls;)

Kind regards



Dutch translation (to serve the reporter in his own language :-) ):
Hey! Kan je dit probleem zelf reproduceren? Met andere woorden: kan je een nieuw werkblad aanmaken (in hetzelfde programma waarin deze spreadsheet gemaakt is), enkele data ingeven en opnieuw openen op je computer van je werk? Geeft dit hetzelfde resultaat?
Zou je eventueel ook wat meer informatie kunnen geven over: 
-met welk programma is deze spreadsheet gecreëerd? 
-Doet het probleem zich ook voor op een andere computer/besturingssysteem)? 
-Wat is de extensie (.xls; .xlsx; ...) van je spreadsheet?

Kan je ook even uitleggen hoe wij dit probleem kunnen reconstrueren? Misschien is het handig om even dit document in de bijlage te zetten (maak eerst even een reservekopie, verwijder alle onnodige informatie (aangezien dit van je werk is, neem ik aan dat er bepaalde 'gevoelige' informatie in staat die niet over de hele wereld verspreid moet worden))? Een screenshot zegt soms ook meer dan 1000 woorden :-).

Ik kan je probleem op mijn Mac niet reproduceren.

Vriendelijke groet
Comment 2 Luuk 2011-02-26 03:25:35 UTC
Created attachment 43850 [details]
example of wrong date-formatting

This sheet is correctly show when opened in LibO with locale settings to Dutch.

When opened with locale setting to i.e. "English (USA)" the value in cell B2 will be shown as "26-02-JJJJ UU:20:18"

This is not correct and i think, in this case, the forumla TEXT() is the main problem. The second parameter is not related on the locale. It does not change when the locale is changed.

Due to this its impossible to use LibO in an international environment!
(more than 1 'locale'-setting)

Also, wehn changing the width of column A to 2.30cm, the date in field A4 is change to a number. This is also not correct.
Comment 3 Eike Rathke 2011-12-20 17:17:51 UTC
There's not much we can do about that other than making the TEXT function accept English format codes for all locales and thus have the number formatter accept English format codes in all locales, additionally to the localized ones (wish we never introduced them) for backwards compatibility, something on my pet list since a long time. That wouldn't help for existing documents that already use localized codes with TEXT(), but at least for future ones.

Grabbing issue.
Comment 4 bfoman (inactive) 2013-05-16 11:06:32 UTC
This bug has not been touched by its owner for a long time. To make it clearer which bugs should be fixed by someone else please take following action:
- If you are the owner, and you are actively working on the bug, please give it an update. 
- If you are the owner, and you do not plan to work on it in the near future,
please reassign it to the default assignee and change its status to NEW.
Comment 5 Eike Rathke 2013-05-16 11:20:58 UTC
No update and I wouldn't say that I'm planning to work on this in the near future, but I do plan to change things as lined out. This is not an easy fix and best needs good knowledge of the internals which I have, so giving it back to the unassigned pool doesn't make much sens.
Comment 6 bfoman (inactive) 2013-05-16 14:44:46 UTC
(In reply to comment #5)
> No update and I wouldn't say that I'm planning to work on this in the near
> future, but I do plan to change things as lined out. This is not an easy fix
> and best needs good knowledge of the internals which I have, so giving it
> back to the unassigned pool doesn't make much sens.

Sad to read that. It makes sense if you are the only person in the world who can fix this. Otherwise you are blocking (in a way) potential contributors. Maybe you should be a mentor for this issue or just write what should be done (or decided) in a separate issues blocking this one?
Comment 7 Julien Nabet 2013-09-29 15:35:40 UTC
Eike: just by curiosity, is your comment 5 linked to all the work you're doing on 	i18nlangtag/source/languagetag/languagetag.cxx, lingucomponent/source/lingutil/lingutil.cxx	 and related?
If yes (and still by curiosity of course! :-)) do you think you're at 50%, 80% of the work?
Comment 8 Eike Rathke 2013-09-30 13:50:25 UTC
It is unrelated to my work on language tags, which btw is about 90% completed, see also http://erack.org/blog/archives/30-LibreOffice-goes-BCP-47.html
Comment 9 Yousuf Philips (jay) (retired) 2017-09-21 21:53:15 UTC
@Eike: you assigned yourself to this in 2011, so i'm resetting the assignment encase someone else wants tow work on this.
Comment 10 Commit Notification 2017-10-19 20:15:11 UTC
Laurent BP committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=80c0a7300b9e185cd77f754abbad31422826662c

tdf#33689 Accept English syntax keywords in format strings

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2017-10-22 13:01:26 UTC
Laurent BP committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2460e7637f635727f4596f3e3d799eed434df082

Resolution of tdf#33689 Update comment

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2017-10-23 11:13:52 UTC
Laurent BP committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1f053cd0d6a9ea43d0037fadf9976a178936c518

tdf#33689 Make sEnglishKeyword static member

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2017-10-23 11:15:11 UTC
Laurent BP committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3691e3e18c753eb2dc9479b25056c28a11131acf

tdf#33689 QA Check integrity of sEnglishKeyword

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2017-10-23 11:43:39 UTC
Laurent BP committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b4da498db27bcf6e93c1899e9a19942b3462946b

Follow-up of resolution of tdf#33689 for Finnish

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2017-10-23 14:27:37 UTC
Laurent BP committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9794d194eddf004cc6c27eb25bd889193ada79ad

tdf#33689 Add QA unit test

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Laurent BP 2017-10-24 07:22:32 UTC
You can now use English keywords in any locale.